## oggdemux

oggdemux — demux ogg streams (info about ogg: http://xiph.org)

## Synopsis

    struct              GstOggDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOggDemux

## Description

This element demuxes ogg files into their encoded audio and video components.

### Example pipelines

    1

    gst-launch -v filesrc location=test.ogg ! oggdemux ! vorbisdec ! audioconvert ! alsasink

Decodes the vorbis audio stored inside an ogg container.

Last reviewed on 2006-12-30 (0.10.5)

## Synopsis

### Element Information

plugin | ogg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | application/ogg
| application/x-annodex

name | src_%d
direction | source
presence | sometimes
details | ANY

## Details

### struct GstOggDemux

    struct GstOggDemux;

The ogg demuxer object structure.

## See Also

oggmux